AMQPExchange::getArgument
AMQPExchange::getFlags
AMQPExchange
PHP Manual

# AMQPExchange::getArguments

(PECL amqp >= Unknown)

AMQPExchange::getArguments — Get all arguments set on the given exchange

### Description

public array AMQPExchange::getArguments ( void )

Get all arguments as an array of key/value pairs that are currently set on the given exchange.

### Parameters

This function has no parameters.

### Return Values

An array containing all of the set key/value pairs.

AMQPExchange::getArgument
AMQPExchange::getFlags
AMQPExchange
PHP Manual